<div class="header">
    <div class="logo">
      <img src="{{links.logo}}" alt="">
    </div>
  </div>
  <div class="welcome">
    <h1>¡Registrar una nueva empresa!</h1>
  </div>
  <div *ngIf="step === 0 ">
    <mat-horizontal-stepper  linear #stepper >
      <mat-step [stepControl]="CommercialInfoForm">
        <ng-template matStepLabel>Datos comerciales</ng-template>
        <form [formGroup]="CommercialInfoForm" class="form">

          <mat-form-field>
            <mat-label>Nombre de la empresa</mat-label>
            <input matInput formControlName="name" placeholder="Nombre de la empresa" required>
          </mat-form-field>
          
          <mat-form-field class="nextInput">
            <mat-label>Sitio web de la empresa</mat-label>
            <input matInput formControlName="webUrl" placeholder="Sitio web de la empresa" required>
          </mat-form-field>

          <mat-form-field class="nextInput">
            <mat-label>Email de atención a clientes</mat-label>
            <input matInput formControlName="contactMail" placeholder="Email de atención a clientes" required>
          </mat-form-field>

          <br><br>

          <mat-form-field>
            <mat-label>Teléfono de atención a clientes</mat-label>
            <input matInput formControlName="contactPhone" placeholder="Teléfono de atención a clientes" required>
          </mat-form-field>

          <mat-form-field class="nextInput">
            <mat-label>Página de facebook</mat-label>
            <input matInput formControlName="socialNetwork" placeholder="Página de facebook" required>
          </mat-form-field>

          <mat-form-field class="nextInput">
            <mat-label>Giro comercial</mat-label>
            <input matInput formControlName="commercialBusiness" placeholder="Giro comercial" required>
          </mat-form-field>

          <div style="margin-left: -4vw;">
            <app-upload-files #upload [fields] = "imageNames" [allowedExt] = " ['jpg', 'png', 'jpeg'] " (filesEmiter) = "addImage($event)"  (uploadEmmiter) = "showImageUpload = true"></app-upload-files>
          </div>

        </form>
        <button *ngIf="showImageUpload" mat-button matStepperNext class="stepperButton">Siguiente</button>
      </mat-step>

      <mat-step [stepControl]="TaxDataForm">
        <ng-template matStepLabel>Datos fiscales</ng-template>
        <form [formGroup]="TaxDataForm" class="form-2">

          <mat-form-field>
            <mat-label>RFC físcal</mat-label>
            <input matInput formControlName="taxRfc" placeholder="RFC físcal" required>
          </mat-form-field>

          <mat-form-field class="nextInput">
            <mat-label>Teléfono de contacto fiscal</mat-label>
            <input matInput formControlName="phone" placeholder="Teléfono de contacto fiscal" required>
          </mat-form-field>

          <br><br>

          <mat-form-field>
            <mat-label>Dirección fiscal</mat-label>
            <input matInput formControlName="taxAddress" placeholder="Dirección fiscal" required>
          </mat-form-field>

          <mat-form-field class="nextInput">
            <mat-label>Tipo de contribuyente</mat-label>
              <mat-select class="select" [(value)] = "taxPlayerType" required>
                <mat-option value="moral">Moral</mat-option>
                <mat-option value="físico">Físico</mat-option>
              </mat-select>
          </mat-form-field>

        </form>
        <button mat-button class="stepperButtonPrevious" matStepperPrevious>Atrás</button> 
        <button mat-button matStepperNext class="stepperButtonNext"  (click)="resetUploadFiles()">Siguiente</button>
      </mat-step>

      <mat-step>
        <ng-template matStepLabel>Datos bancarios</ng-template>
        <form [formGroup]="BankInfoForm" class="form-2">
          <mat-form-field>
            <mat-label>Id de comerciante OpenPay</mat-label>
            <input matInput formControlName="openpayId" placeholder="Identificación Open Pay" required>
          </mat-form-field>

          <mat-form-field  class="nextInput">
            <mat-label>Llave de acceso OpenPay</mat-label>
            <input matInput formControlName="secretKey" placeholder="Dirección fiscal" required>
          </mat-form-field>

          <br><br>
          
          <mat-form-field>
            <mat-label>Clabe interbancaria</mat-label>
            <input matInput formControlName="clabe" placeholder="Dirección fiscal" required>
          </mat-form-field>
        </form>
        <button mat-button class="stepperButtonPrevious" matStepperPrevious>Atrás</button> 
        <button mat-button matStepperNext class="stepperButtonNext" >Siguiente</button>
      </mat-step>

      <mat-step >
        <ng-template matStepLabel>Documentos legales</ng-template>
        <div style="margin-left: 10vw;">
          <app-upload-files #upload [fields] = "documentFiles" [allowedExt] = " [ 'pdf' ] " (filesEmiter) = "addFiles($event)"  (uploadEmmiter) = "verifyUpload()"></app-upload-files>
        </div>
        <button mat-button class="stepperButtonPrevious" matStepperPrevious>Atrás</button> 
        <button  *ngIf = "uploadFiles" mat-button matStepperNext class="stepperButtonNext"  id ="documentNextButton" (click)="makeUpload()">Siguiente</button>
      </mat-step>

      <mat-step >
        <ng-template matStepLabel>Institución</ng-template>
        <div class="intitution">
          <div class="title">
            <p>
              Seleccionar institución dónde se encuentra establecido
            </p>
          </div>
          <app-school-selector (schoolEmitter) = "SaveCollege($event)" (institutionEmitter)="DisableSubmit()"></app-school-selector>
      </div>
      <div style="display: flex;">
        <button mat-button class="stepperButtonPrevious" matStepperPrevious>Atrás</button> 
        <button  *ngIf="sumbitAll" mat-button class="stepperButtonNext" (click)="SaveAllData()" >Registrar empresa</button>
      </div>  
      </mat-step>

    </mat-horizontal-stepper>
  </div>